subroutine completion()
  implicit none

  real(8) :: VARX1(0:IMAX, 1:JMAX, 1:KMAX)
  real(8) :: VARZ1(1:IMAX, 1:JMAX, 0:KMAX)

  
  do i = 1,IMAX
     do j =1, JMAX
        VAR 
        
     end do
  end do


end subroutine completion
